/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-react-core";
import { IFinancialPriceSeriesProxy_$type } from "./IFinancialPriceSeriesProxy";
/**
 * @hidden
 */
export let FinancialPriceSeriesProxy = /*@__PURE__*/ (() => {
    class FinancialPriceSeriesProxy extends Base {
        getCloseMemberPath(a) {
            return a.y1;
        }
        getHighMemberPath(a) {
            return a.ze;
        }
        getLowMemberPath(a) {
            return a.zj;
        }
        getOpenMemberPath(a) {
            return a.zn;
        }
        getVolumeMemberPath(a) {
            return a.zr;
        }
        matchesType(a) {
            if (!a.e4) {
                return false;
            }
            if (a.e5 || a.e6) {
                return false;
            }
            return true;
        }
        setCategoryMode(a, b) {
            a.w5 = b;
        }
        setCloseMemberPath(a, b) {
            a.y1 = b;
        }
        setDisplayType(a, b) {
            a.aat = b;
        }
        setHighMemberPath(a, b) {
            a.ze = b;
        }
        setLowMemberPath(a, b) {
            a.zj = b;
        }
        setOpenMemberPath(a, b) {
            a.zn = b;
        }
        setVolumeMemberPath(a, b) {
            a.zr = b;
        }
        setXAxis(a, b) {
            a.wx = b;
        }
        setYAxis(a, b) {
            a.xg = b;
        }
        setTrendLineType(a, b) {
            if (a.e7) {
                a.trendLineType = b;
            }
        }
        getTrendLineType(a) {
            if (a.e7) {
                return a.trendLineType;
            }
            return 0;
        }
    }
    FinancialPriceSeriesProxy.$t = /*@__PURE__*/ markType(FinancialPriceSeriesProxy, 'FinancialPriceSeriesProxy', Base.$, [IFinancialPriceSeriesProxy_$type]);
    return FinancialPriceSeriesProxy;
})();
